[pkg-kolab] r104 - trunk/kolab-resource-handlers/debian/patches

Steffen Joeris white-guest at costa.debian.org
Thu Jan 5 10:37:12 UTC 2006


Author: white-guest
Date: 2006-01-05 10:37:10 +0000 (Thu, 05 Jan 2006)
New Revision: 104

Added:
   trunk/kolab-resource-handlers/debian/patches/40-resmgr.php.dpatch
   trunk/kolab-resource-handlers/debian/patches/50-kolabfilter.php.dpatch
Modified:
   trunk/kolab-resource-handlers/debian/patches/00list
Log:
* wrote patch for kolabfilter.php which corrects the
  requires and add patch for resmgr.php


Modified: trunk/kolab-resource-handlers/debian/patches/00list
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/00list	2006-01-05 10:13:37 UTC (rev 103)
+++ trunk/kolab-resource-handlers/debian/patches/00list	2006-01-05 10:37:10 UTC (rev 104)
@@ -2,3 +2,4 @@
 20-kolabmailtransport.php
 30-kolabmailboxfilter.php
 40-resmgr.php
+50-kolabfilter.php

Added: trunk/kolab-resource-handlers/debian/patches/40-resmgr.php.dpatch
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/40-resmgr.php.dpatch	2006-01-05 10:13:37 UTC (rev 103)
+++ trunk/kolab-resource-handlers/debian/patches/40-resmgr.php.dpatch	2006-01-05 10:37:10 UTC (rev 104)
@@ -0,0 +1,67 @@
+#!/bin/sh -e
+## 40-resmgr.php.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct requires and use horde files and function declaration
+##     from freebusy kolab under /usr/share/kolab-resource-handlers/php/*
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/resmgr.php.orig	2006-01-05 10:19:13.000000000 +0100
++++ kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/resmgr.php	2006-01-05 10:59:09.000000000 +0100
+@@ -18,7 +18,7 @@
+  *  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.
+  */
+ 
+-require_once 'kolabfilter/misc.php';
++require_once '/usr/share/kolab-resource-handlers/php/misc.php';
+ 
+ // What actions we can take when receiving an event request
+ define('RM_ACT_ALWAYS_ACCEPT',              1);
+@@ -32,18 +32,18 @@
+ define('RM_ITIP_ACCEPT',                    2);
+ define('RM_ITIP_TENTATIVE',                 3);
+ 
+-require_once 'Net/IMAP.php';
+-require_once HORDE_BASE . '/lib/core.php';
+-require_once 'Horde/iCalendar.php';
+-require_once 'Horde/NLS.php';
+-require_once 'Horde/MIME.php';
+-require_once 'Horde/MIME/Message.php';
+-require_once 'Horde/MIME/Headers.php';
+-require_once 'Horde/MIME/Part.php';
+-require_once 'Horde/MIME/Structure.php';
++require_once '/usr/share/kolab-resource-handlers/php/IMAP.php';
++require_once HORDE_BASE . '/usr/share/horde3/lib/core.php';
++require_once '/usr/share/horde3/lib/Horde/iCalendar.php';
++require_once '/usr/share/horde3/lib/Horde/NLS.php';
++require_once '/usr/share/horde3/lib/Horde/MIME.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Message.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Headers.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Part.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Structure.php';
+ //include_once 'Horde/Kolab.php';
+-require_once 'Horde/Text.php';
+-require_once 'freebusy/recurrence.class.php';
++require_once '/usr/share/horde3/lib/Horde/Text.php';
++require_once '/usr/share/kolab-resource-handlers/php/recurrence.class.php';
+ 
+ // Globals
+ $imap = NULL;


Property changes on: trunk/kolab-resource-handlers/debian/patches/40-resmgr.php.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: trunk/kolab-resource-handlers/debian/patches/50-kolabfilter.php.dpatch
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/50-kolabfilter.php.dpatch	2006-01-05 10:13:37 UTC (rev 103)
+++ trunk/kolab-resource-handlers/debian/patches/50-kolabfilter.php.dpatch	2006-01-05 10:37:10 UTC (rev 104)
@@ -0,0 +1,65 @@
+#!/bin/sh -e
+## 50-kolabfilter.php.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct requires for kolabfilter
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabfilter.php.orig	2006-01-05 11:12:08.000000000 +0100
++++ kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/kolabfilter.php	2006-01-05 11:28:36.000000000 +0100
+@@ -1,4 +1,3 @@
+-#!@l_prefix@/bin/php
+ <?php
+ /*
+  *  Copyright (c) 2004 Klaraelvdalens Datakonsult AB
+@@ -22,11 +21,11 @@
+ /* Fix include_path to pick up our modified Horde classes */
+ $include_path = ini_get('include_path');
+ ini_set( 'include_path', 
+-	 '.:@l_prefix@/var/kolab/php:@l_prefix@/var/kolab/php/pear:'.$include_path);
++	 '.:/usr/share/kolab-resource-handlers/php:'.$include_path);
+ 
+ require_once 'PEAR.php';
+-require_once 'kolabfilter/misc.php';
+-require_once 'kolabfilter/kolabmailtransport.php';
++require_once '/usr/share/kolab-resource-handlers/php/misc.php';
++require_once '/usr/share/kolab-resource-handlers/kolabmailtransport.php';
+ 
+ // Profiling code
+ /*
+@@ -58,7 +57,7 @@
+ 
+ // Load our configuration file
+ $params = array();
+-require_once '@l_prefix@/etc/resmgr/resmgr.conf';
++require_once '/etc/resmgr/resmgr.conf';
+ init();
+ 
+ define( 'TMPDIR', '@l_prefix@/var/resmgr/filter' );
+@@ -221,7 +220,7 @@
+ 
+ if( !$senderok ) {
+   if( $ical && $params['allow_outlook_ical_forward'] ) {
+-    require_once('kolabfilter/olhacks.php');
++    require_once('/usr/share/kolab-resource-handlers/php/olhacks.php');
+     $rc = olhacks_embedical( $fqhostname, $sender, $recipients, $from, $subject, $tmpfname );
+     if( PEAR::isError( $rc ) ) {
+       fwrite(STDOUT,"Filter failed: ".$rc->getMessage()."\n");


Property changes on: trunk/kolab-resource-handlers/debian/patches/50-kolabfilter.php.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kolab-devel mailing list